// Log.h
//
// Author: Mike McCauley (mikem@airspayce.com)
// Copyright (C) 2013 Mike McCauley
// $Id: Log.h,v 1.3 2013/07/09 23:35:55 mikem Exp $

#ifndef MAP27_LOG_H
#define MAP27_LOG_H

#include <stdint.h>

#ifdef DEBUG
#include <stdio.h>
#define DEBUG_PRINTF printf
#define DEBUG_DUMP debug_dump
#else
#define DEBUG_PRINTF(...) 
#define DEBUG_DUMP(...)
#endif

extern void debug_dump(const char* s, uint8_t* buf, uint16_t bufLen);

#endif
