// Port.cpp
//
// Author: Mike McCauley (mikem@airspayce.com)
// Copyright (C) 2013 Mike McCauley
// $Id: Port.cpp,v 1.4 2013/07/09 23:30:13 mikem Exp $

#include "Port.h"
#include "Log.h"

#ifdef ARDUINO
#else
// Unix
#include "UnixPort.cpp"
#endif

Map27Port::Map27Port()
{
    _baud = 9600;
}

bool Map27Port::configure(uint32_t baud)
{
    _baud = baud;
    return true;
}

bool Map27Port::open()
{
    return true;
}

bool Map27Port::close()
{
    return true;
}

void Map27Port::send(uint8_t ch)
{
    printf("port send %02x\n", ch);
}

bool Map27Port::canRead()
{
    return false;
}

uint8_t Map27Port::read()
{
    return 0;
}
